package com.yihu.jw.entity.care.common;

import com.yihu.jw.entity.UuidIdentityEntityWithCreateTime;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * Created with IntelliJ IDEA.
 *
 * @Author: yeshijie
 * @Date: 2021/6/29
 * @Description:
 */
@Entity
@Table(name="base_wx_pay_http_log")
public class WxPayHttpLogDO extends UuidIdentityEntityWithCreateTime {

    /**
     * 类型1 统一下单 2支付回调
     */
    private String type;
    /**
     * 订单号
     */
    private String orderNo;
    private String orderRes;
    private String orderReq;

    @Column(name = "type")
    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    @Column(name = "order_no")
    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    @Column(name = "order_res")
    public String getOrderRes() {
        return orderRes;
    }

    public void setOrderRes(String orderRes) {
        this.orderRes = orderRes;
    }

    @Column(name = "order_req")
    public String getOrderReq() {
        return orderReq;
    }

    public void setOrderReq(String orderReq) {
        this.orderReq = orderReq;
    }
}
